
From: "Andi Kleen" <ak@suse.de>

Eliminate some useless printks in ACPI numa.c

They trigger all the time on x86-64 with CONFIG_ACPI_NUMA

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/numa.c |    7 -------
 1 files changed, 7 deletions(-)

diff -puN drivers/acpi/numa.c~x86_64-eliminate-some-useless-printks-in-acpi-numac drivers/acpi/numa.c
--- 25/drivers/acpi/numa.c~x86_64-eliminate-some-useless-printks-in-acpi-numac	2004-11-28 01:54:53.116522168 -0800
+++ 25-akpm/drivers/acpi/numa.c	2004-11-28 01:54:53.120521560 -0800
@@ -184,17 +184,10 @@ acpi_numa_init()
 		result = acpi_table_parse_srat(ACPI_SRAT_MEMORY_AFFINITY,
 					       acpi_parse_memory_affinity,
 					       NR_NODE_MEMBLKS);	// IA64 specific
-	} else {
-		/* FIXME */
-		printk("Warning: acpi_table_parse(ACPI_SRAT) returned %d!\n",result);
 	}
 
 	/* SLIT: System Locality Information Table */
 	result = acpi_table_parse(ACPI_SLIT, acpi_parse_slit);
-	if (result < 1) {
-		/* FIXME */
-		printk("Warning: acpi_table_parse(ACPI_SLIT) returned %d!\n",result);
-	}
 
 	acpi_numa_arch_fixup();
 	return 0;
_
